Package com.android.server.os

# Class LinphoneTombstoneProtos.MemoryError.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.MemoryError,LinphoneTombstoneProtos.MemoryError.Builder>
com.android.server.os.LinphoneTombstoneProtos.MemoryError.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.MemoryErrorOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.MemoryError

public static final class LinphoneTombstoneProtos.MemoryError.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.MemoryError,LinphoneTombstoneProtos.MemoryError.Builder> implements LinphoneTombstoneProtos.MemoryErrorOrBuilder
Protobuf type `MemoryError`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.MemoryError.Builder`
`clearHeap()`
`.HeapObject heap = 3;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`clearLocation()`
`LinphoneTombstoneProtos.MemoryError.Builder`
`clearTool()`
`.MemoryError.Tool tool = 1;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`clearType()`
`.MemoryError.Type type = 2;`
`LinphoneTombstoneProtos.HeapObject`
`getHeap()`
`.HeapObject heap = 3;`
`LinphoneTombstoneProtos.MemoryError.LocationCase`
`getLocationCase()`
`LinphoneTombstoneProtos.MemoryError.Tool`
`getTool()`
`.MemoryError.Tool tool = 1;`
`int`
`getToolValue()`
`.MemoryError.Tool tool = 1;`
`LinphoneTombstoneProtos.MemoryError.Type`
`getType()`
`.MemoryError.Type type = 2;`
`int`
`getTypeValue()`
`.MemoryError.Type type = 2;`
`boolean`
`hasHeap()`
`.HeapObject heap = 3;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`mergeHeap(LinphoneTombstoneProtos.HeapObject value)`
`.HeapObject heap = 3;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`setHeap(LinphoneTombstoneProtos.HeapObject value)`
`.HeapObject heap = 3;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`setHeap(LinphoneTombstoneProtos.HeapObject.Builder builderForValue)`
`.HeapObject heap = 3;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`setTool(LinphoneTombstoneProtos.MemoryError.Tool value)`
`.MemoryError.Tool tool = 1;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`setToolValue(int value)`
`.MemoryError.Tool tool = 1;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`setType(LinphoneTombstoneProtos.MemoryError.Type value)`
`.MemoryError.Type type = 2;`
`LinphoneTombstoneProtos.MemoryError.Builder`
`setTypeValue(int value)`
`.MemoryError.Type type = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getLocationCase

public LinphoneTombstoneProtos.MemoryError.LocationCase getLocationCase()

Specified by:
  `getLocationCase` in interface `LinphoneTombstoneProtos.MemoryErrorOrBuilder`

### clearLocation

public LinphoneTombstoneProtos.MemoryError.Builder clearLocation()

### getToolValue

public int getToolValue()
`.MemoryError.Tool tool = 1;`

Specified by:
  `getToolValue` in interface `LinphoneTombstoneProtos.MemoryErrorOrBuilder`
Returns:
  The enum numeric value on the wire for tool.

### setToolValue

public LinphoneTombstoneProtos.MemoryError.Builder setToolValue(int value)
`.MemoryError.Tool tool = 1;`

Parameters:
  `value` - The tool to set.
Returns:
  This builder for chaining.

### getTool

public LinphoneTombstoneProtos.MemoryError.Tool getTool()
`.MemoryError.Tool tool = 1;`

Specified by:
  `getTool` in interface `LinphoneTombstoneProtos.MemoryErrorOrBuilder`
Returns:
  The tool.

### setTool

public LinphoneTombstoneProtos.MemoryError.Builder setTool(LinphoneTombstoneProtos.MemoryError.Tool value)
`.MemoryError.Tool tool = 1;`

Parameters:
  `value` - The enum numeric value on the wire for tool to set.
Returns:
  This builder for chaining.

### clearTool

public LinphoneTombstoneProtos.MemoryError.Builder clearTool()
`.MemoryError.Tool tool = 1;`

Returns:
  This builder for chaining.

### getTypeValue

public int getTypeValue()
`.MemoryError.Type type = 2;`

Specified by:
  `getTypeValue` in interface `LinphoneTombstoneProtos.MemoryErrorOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### setTypeValue

public LinphoneTombstoneProtos.MemoryError.Builder setTypeValue(int value)
`.MemoryError.Type type = 2;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### getType

public LinphoneTombstoneProtos.MemoryError.Type getType()
`.MemoryError.Type type = 2;`

Specified by:
  `getType` in interface `LinphoneTombstoneProtos.MemoryErrorOrBuilder`
Returns:
  The type.

### setType

public LinphoneTombstoneProtos.MemoryError.Builder setType(LinphoneTombstoneProtos.MemoryError.Type value)
`.MemoryError.Type type = 2;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

### clearType

public LinphoneTombstoneProtos.MemoryError.Builder clearType()
`.MemoryError.Type type = 2;`

Returns:
  This builder for chaining.

### hasHeap

public boolean hasHeap()
`.HeapObject heap = 3;`

Specified by:
  `hasHeap` in interface `LinphoneTombstoneProtos.MemoryErrorOrBuilder`
Returns:
  Whether the heap field is set.

### getHeap

public LinphoneTombstoneProtos.HeapObject getHeap()
`.HeapObject heap = 3;`

Specified by:
  `getHeap` in interface `LinphoneTombstoneProtos.MemoryErrorOrBuilder`
Returns:
  The heap.

### setHeap

public LinphoneTombstoneProtos.MemoryError.Builder setHeap(LinphoneTombstoneProtos.HeapObject value)
`.HeapObject heap = 3;`

### setHeap

public LinphoneTombstoneProtos.MemoryError.Builder setHeap(LinphoneTombstoneProtos.HeapObject.Builder builderForValue)
`.HeapObject heap = 3;`

### mergeHeap

public LinphoneTombstoneProtos.MemoryError.Builder mergeHeap(LinphoneTombstoneProtos.HeapObject value)
`.HeapObject heap = 3;`

### clearHeap

public LinphoneTombstoneProtos.MemoryError.Builder clearHeap()
`.HeapObject heap = 3;`